#ifndef __STDTYPES_H
#define __STDTYPES_H

#ifdef XVT
#ifndef XVT_INCL_XVTENV
#include <xvt_env.h>
#endif    
#endif

// @doc EXTERNAL

#define pure =0

#define FALSE 0
#define TRUE  1

#define HIDDEN static

#define EOL             -1
#define NOERR   0

// @type UINT8 | Altro nome di assegnazione per gli unsigned char
typedef unsigned char UINT8;
#ifdef M_I386
// @type UINT16 | Altro nome di assegnazione per gli unsigned short (se compilato a 32bit)
//		  oppure unsigned int (se non definito M_I386)
typedef unsigned short UINT16;
#else
typedef unsigned int UINT16;
#endif
// @type UINT32 | Altro nome di assegnazione per gli unsigned long
typedef unsigned long UINT32;

// @type INT8 | Altro nome di assegnazione per i char
typedef char INT8;
#ifdef M_I386
// @type INT16 | Altro nome di assegnazione per gli short (se compilato a 32bit)
//		 oppure int (se non definito M_I386)
typedef short INT16;
#else
typedef int INT16;
#endif
// @type INT32 | Altro nome di assegnazione per i long
typedef long INT32;

// @type bool | Tipo booleano che puo' assumere i valori TRUE (definito come 1)
//		e FALSE (definito come 0).
typedef UINT8 bool;
// @type word | Tipo per la definizione di tipi di lunghezza pari a due byte
typedef UINT16 word;
// @type dword | Tipo per la definizione di tipi di lunghezza pari a quattro byte
typedef UINT32 dword;
// @type byte | Tipo per la definizione di tipi di lunghezza pari ad un byte
typedef UINT8 byte;

// @type KEY | Tipo per la definizione di variabili destinati a contenere i caratteri
//		immessi da tastiera
typedef UINT16 KEY;

#define UNDEFINED -32767

#undef _SVID

int get_serial_number();
long get_std_level();
void init_global_vars();
void free_global_vars();

#ifdef __cplusplus
extern void* operator new(unsigned);
extern void operator delete(void*);
#endif

#endif // __STDTYPES_H


